let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/kxj6cblcsd1qcbbxlmbswwrn89zcmgd6-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/a4v1akahda85rl9gfphb07zzw79z8pb1-coreutils-8.32/bin";
  bzip2 = "/nix/store/d37nqclglccygk9plqxpmy1asqj12qiv-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/rah6k4r1qxa0qs1626d20cp5620da4xd-gzip-1.10/bin/gzip";
  xz = "/nix/store/dcma4ddpkl1b8s3rn1pr4phpd41cy2aw-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/hlmzk7zf3xp54dgf6kmk0qg13wc9ma8j-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/a4v1akahda85rl9gfphb07zzw79z8pb1-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/1abbign9k6ixc4g95acbp4mcgyvqwq34-nix-2.3.13/bin";
  nixPrefix = "/nix/store/1abbign9k6ixc4g95acbp4mcgyvqwq34-nix-2.3.13";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/1abbign9k6ixc4g95acbp4mcgyvqwq34-nix-2.3.13/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
